MapData_01:

dw (Map01_EventData - MapData_01) + wMisMapDataStart
dw (Map01_WarpData - MapData_01) + wMisMapDataStart
dw NoSignData

db $0A, $09      ; width, height

; tiles

db $15, $15, $15, $21, $30, $31, $21, $19, $19, $15
db $15, $19, $15, $21, $30, $31, $21, $21, $21, $15
db $15, $21, $15, $21, $30, $31, $15, $21, $21, $15
db $15, $21, $15, $15, $30, $31, $15, $21, $21, $15
db $15, $21, $21, $21, $30, $31, $21, $21, $21, $15
db $15, $21, $21, $15, $30, $31, $15, $15, $21, $15
db $15, $21, $21, $21, $30, $31, $21, $21, $21, $15
db $15, $15, $15, $21, $30, $31, $21, $15, $15, $15
db $15, $21, $21, $21, $30, $31, $21, $21, $21, $15

Map01_EventData:
    db $01
    db $FF, $0B
    dw (Map01_Event0 - MapData_01) + wMisMapDataStart

Map01_WarpData:
    db $01
    db $FF, $01,  $02,  $0A, $02

Map01_Event0:

    ; final debbie pos = 0x50, 0x1A

    ld a, [wEventFlagGeneric]
    or a
    ret nz
    inc a
    ld [wEventFlagGeneric], a
    call PlaySong_M0

    	;ld c, $44
    	;call DelayFrames

    ;debbie anim
    ld a, -24
    ld [wDebbieScreenY], a
    ld a, $69
    ld [wDebbieScreenX], a
.debbieAnimLoop
    ld a, [wDebbieScreenY]
    inc a
    ld [wDebbieScreenY], a
    push af
    call M_UpdateSprites
    call DelayFrame
    pop af
    inc a
    ld [wDebbieScreenY], a
    ld a, [wDebbieScreenX]
    dec a
    ld [wDebbieScreenX], a
    push af
    call M_UpdateSprites
    call DelayFrame
    pop af
    cp $50
    jr nz, .debbieAnimLoop

    ld a, $1A
    ld [wDebbieScreenY], a
    

    ld hl, (Txt_DebbieIntro - MapData_01) + wMisMapDataStart
    call PrintTextVWF
    call YesNo
    jr nc, .choseNo
    ld hl, (Txt_DebbieIntro2 - MapData_01) + wMisMapDataStart
    call PrintTextVWF

.debbieAnimLoop2
    ld a, [wDebbieScreenY]
    sub a, $02
    ld [wDebbieScreenY], a
    push af
    call M_UpdateSprites
    call DelayFrame
    pop af
    cp 200
    jr nz, .debbieAnimLoop2
    ret

.choseNo
    jp SoftReset

Txt_DebbieIntro:
    text "     I exist within the Very"
    next "        fabric of reality."
    next ""
    next " do you want to challenge me?"
    wait
Txt_DebbieIntro2:
    text ""
    next ""
    next "        Then, let's begin."
    wait